import numpy as np
from numba import jit


@jit(nopython=True)
def pi():
    number = 1000000

    #primes = list(range(number + 1))
    primes = np.arange(number + 1)

    i = 2
    while i * i <= number:
        if primes[i] != 0:
            for j in range(2, number):
                if primes[i] * j > number:
                    break
                else:
                    primes[primes[i] * j] = 0
        i += 1

    cnt = 0
    for i in range(2, number + 1):
        if primes[i] != 0:
            cnt += 1

    return cnt


@jit(nopython=True)
def main():
    j = 0
    for i in range(100):
        j += pi()
    print(j)


main()
